PROBE::IOBLOCK_TRACE(3stap)

NAME
probe::ioblock_trace.end - Fires whenever a block I/O transfer is complete.

SYNOPSIS

ioblock_trace.end

VALUES

p_start_sect
    points to the start sector of the partition structure of the device

q
    request queue on which this bio was queued.

size
    total size in bytes

devname
    block device name

bytes_done
    number of bytes transferred

bdev
    target block device

ino
    i-node number of the mapped file

sector
    beginning sector for the entire bio

bdev_contains
    points to the device object which contains the partition (when bio structure represents a partition)

flags
    see below BIO_UPTODATE 0 ok after I/O completion BIO_RW_BLOCK 1 RW_AHEAD set, and read/write would block BIO_EOF 2 out-out-bounds error BIO_SEG_VALID 3 nr_hw_seg valid BIO_CLONED 4 doesn't own data BIO_BOUNCED 5 bio is a bounce bio BIO_USER_MAPPED 6 contains user pages BIO_EOPNOTSUPP 7 not supported

name
    name of the probe point

opf
    operations and flags

vcnt
    bio vector count which represents number of array element (page, offset, length) which makes up this I/O request

rw
    binary trace for read/write request

idx
    offset into the bio vector array phys_segments - number of segments in this bio after physical address coalescing is performed.

CONTEXT

The process signals the transfer is done.

SEE ALSO
tapset::ioblock(3stap)